import "../../chunks/chunk.QU3DSPNU.js";
const templateCache = /* @__PURE__ */ new WeakMap();
function stripWhitespace(extendedTag) {
  return (strings, ...values) => {
    let modstrings = templateCache.get(strings);
    if (!modstrings) {
      modstrings = strings.map((s) => s.replace(/\n[\s]+</gm, "<"));
      modstrings.raw = strings.raw;
      templateCache.set(strings, modstrings);
    }
    return extendedTag(modstrings, ...values);
  };
}
export {
  stripWhitespace
};
